import { __assign } from './../external/tslib/tslib.es6.js';
import React from 'react';
import classnames from 'classnames';
import { Icon } from '@highlight-ui/icon';
import { Typography } from '@highlight-ui/typography';
import { parseMetadata } from '@highlight-ui/utils-commons';
import styles from './ProgressTracker.module.scss.js';

var ProgressTracker = function (_a) {
  var stepNames = _a.stepNames,
      currentStepIndex = _a.currentStepIndex,
      metadata = _a.metadata,
      className = _a.className;
  return /*#__PURE__*/React.createElement("div", __assign({
    className: classnames(styles.wrap, className)
  }, parseMetadata(metadata)), stepNames.map(function (stepName, stepIndex) {
    var _a;

    var isStepComplete = currentStepIndex > stepIndex;
    return /*#__PURE__*/React.createElement("div", __assign({
      key: stepName,
      className: classnames(styles.step, (_a = {}, _a[styles.isActive] = currentStepIndex === stepIndex, _a[styles.isComplete] = isStepComplete, _a))
    }, parseMetadata({
      testId: (metadata === null || metadata === void 0 ? void 0 : metadata.testId) ? metadata.testId + "-step" : 'progress-tracker-step',
      actionName: (metadata === null || metadata === void 0 ? void 0 : metadata.actionName) ? metadata.actionName + "-step" : 'progress-tracker-step'
    })), /*#__PURE__*/React.createElement("div", {
      className: styles.stepNumber
    }, isStepComplete && /*#__PURE__*/React.createElement(Icon, {
      name: "check",
      size: 13,
      color: "icon-success",
      metadata: {
        testId: 'progress-tracker-step-tick'
      }
    }), /*#__PURE__*/React.createElement(Typography, {
      variant: "button-1"
    }, !isStepComplete && stepIndex + 1)), /*#__PURE__*/React.createElement(Typography, {
      variant: "subtitle-1",
      className: styles.stepName
    }, stepName));
  }));
};

export { ProgressTracker as default };
//# sourceMappingURL=ProgressTracker.js.map
